Skip to content

Approve a trust expansion proposal

POST
/api/v1/agents/trust/approve-expansion
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/agents/trust/approve-expansion \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "agent_role": "example", "proposed_level": 1 }'

Apply a trust expansion that was proposed in the CEO morning brief (D-11). Stores the approved level as a trust_scores row with action=‘expansion_approved’.

Media typeapplication/json
TrustExpansionApprovalRequest

Request body for POST /agents/trust/approve-expansion.

Attributes: agent_role: The C-suite role to approve expansion for. proposed_level: Target autonomy level (1-4).

object
agent_role
required
Agent Role
string
proposed_level
required
Proposed Level
integer
Examplegenerated
{
"agent_role": "example",
"proposed_level": 1
}

Successful Response

Media typeapplication/json
Response Approve Trust Expansion Api V1 Agents Trust Approve Expansion Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}